Update a Skill Group
To update the particular skill group with the givenstreamId and skillGroupId.
| Method | PUT |
|---|---|
| Endpoint | https://{{host}}/agentassist/api/v1/public/{{streamId}}/skill-groups/{{id}} |
| Content Type | application/json |
| Authorization | auth: {{JWT}} See How to generate the JWT Token |
| API Scope | SmartAssist Analytics |
Path Parameters
| Parameter | Description | Type |
|---|---|---|
host | Environment URL, for example, https://platform.kore.ai | string, required |
streamId | botId or streamId. You can get it from the App Settings page. | string, required |
skillGroupId | Id of the skill group to be updated. | string, required |
Sample Request
Body Parameters
| Parameter | Description | Type |
|---|---|---|
id | Id of the skill Group which you can find with GET /skill-groups. Example: 620b814ca2344f1caa8cec99 | string, required |
name | Name of the skill Group. | string, required |
description | Brief description of the skill group up to 200 characters. | string, optional |
color | Color id of the color you want for skill group up to 200 characters. Example: sg-4372 | string, optional |